﻿using System;
using System.ComponentModel.DataAnnotations;
using Microsoft.WindowsAzure.StorageClient;

namespace Adressverwaltung.Data.Models
{
    public sealed class Adressbuch : TableServiceEntity
    {
        public Adressbuch()
        {
            PartitionKey = "UserName";
            RowKey = Guid.NewGuid().ToString();
        }

        public Guid AdressbuchId
        {
            get { return String.IsNullOrEmpty(RowKey) ? Guid.Empty : new Guid(RowKey); }
        }

        [Required(ErrorMessage = "Bitte geben Sie einen Namen an.")]
        public string Name { get; set; }
    }
}
