﻿using System;
using System.ComponentModel.DataAnnotations;
using Microsoft.WindowsAzure.StorageClient;

namespace Adressverwaltung.Data.Models
{
    public sealed class Kontakt : TableServiceEntity
    {
        public Kontakt()
        {
            RowKey = Guid.NewGuid().ToString();
            PartitionKey = Guid.Empty.ToString();
        }

        public Guid KontaktId
        {
            get { return String.IsNullOrEmpty(RowKey) ? Guid.Empty : new Guid(RowKey); }
        }

        public Guid AdressbuchId
        {
            get { return String.IsNullOrEmpty(PartitionKey) ? Guid.Empty : new Guid(PartitionKey); }
        }

        [Required(ErrorMessage = "Bitte geben Sie einen Vornamen an.")]
        public string Vorname { get; set; }
        [Required(ErrorMessage = "Bitte geben Sie einen Nachnamen an.")]
        public string Nachname { get; set; }
        public string Firma { get; set; }
        public string Strasse { get; set; }
        [StringLength(5)]
        public string PLZ { get; set; }
        public string Ort { get; set; }
        [RegularExpression(@"^(\(?\+?[0-9]*\)?)?[0-9_\- \(\)]*$"
            , ErrorMessage = "Bitte geben Sie eine gültige Telefonummer an, wie z.B. +49 (89) 3176-0.")]
        public string Telefon { get; set; }
        [RegularExpression(@"^(\(?\+?[0-9]*\)?)?[0-9_\- \(\)]*$"
            , ErrorMessage = "Bitte geben Sie eine gültige Telefonummer an, wie z.B. +49 (89) 3176-0.")]
        public string Mobil { get; set; }
        [RegularExpression(@"^(http(s?))\://([0-9a-zA-Z\-]+\.)+[a-zA-Z]{2,6}(\:[0-9]+)?(/\S*)?$"
            , ErrorMessage = "Bitte geben Sie eine gültige URL ein, wie z.B. http://www.microsoft.com")]
        public string Webseite { get; set; }
        public string FotoUrl { get; set; }
    }
}
