using System;
using System.Collections.Generic;
using Adressverwaltung.Data.Models;

namespace Adressverwaltung.Data.Repositories
{
    public interface IAdressverwaltungRepository
    {
        IEnumerable<Adressbuch> GetAdressbuecher();
        Adressbuch LoadAdressbuch(Guid buchId);
        void AddAdressbuch(Adressbuch adressbuch);
        void UpdateAdressbuch(Guid adressbuchId, Adressbuch adressbuch);
        void DeleteAdressbuch(Guid adressbuchId);

        IEnumerable<Kontakt> GetKontakte(Guid adressbuchId);
        Kontakt LoadKontakt(Guid adressbuchId, Guid kontaktId);
        void AddKontakt(Guid adressbuchId, Kontakt kontakt);
        void UpdateKontakt(Guid adressbuchId, Guid kontaktId, Kontakt kontakt);
        void DeleteKontakt(Guid adressbuchId, Guid kontaktId);
        void UpdateKontaktFotoUrl(Guid adressbuchId, Guid kontaktId, string fotoUrl);
    }
}