﻿using System.Web.Mvc;
using System.Web.Routing;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.ServiceRuntime;

namespace Adressverwaltung.Web
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterGlobalFilters(GlobalFilterCollection filters)
        {
            filters.Add(new HandleErrorAttribute());
        }

        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                "Kontakte",
                "{controller}/{action}/{adressbuchId}/{kontaktId}",
                new
                {
                    controller = "Adressbuch",
                    action = "Index"
                }
            );

            routes.MapRoute(
                "Adressbuecher",
                "{controller}/{action}/{adressbuchId}",
                new
                {
                    controller = "Adressbuch",
                    action = "Index",
                    adressbuchId = UrlParameter.Optional
                }
            );
        }

        protected void Application_Start()
        {
            //AreaRegistration.RegisterAllAreas();

            ViewEngines.Engines.Clear();
            ViewEngines.Engines.Add(new RazorViewEngine());

            RegisterGlobalFilters(GlobalFilters.Filters);
            RegisterRoutes(RouteTable.Routes);

            CloudStorageAccount.SetConfigurationSettingPublisher((configName, configSetter) => configSetter(RoleEnvironment.GetConfigurationSettingValue(configName)));
        }
    }
}